url_for() helpers are namespaced when adding plug-in engines. add forward /
Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Plugin integration   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

from Rails documetation: http://apidock.com/rails/ActionController/Base/url_for

If the controller name begins with a slash no defaults are used:

url_for :controller => '/home'

In particular, a leading slash ensures no namespace is assumed. Thus, while url_for :controller => 'users' may resolve to

Admin::UsersController if the current controller lives under that module, url_for :controller => '/users' ensures you link to

::UsersController no matter what.

Associated revisions

Revision 875699d9 - 12/19/2012 08:59 AM - Joseph Magen

fixes #2018 add forward slash to controller name of url_for() helper

History

#1 - 12/12/2012 03:46 AM - Ohad Levy

- Target version set to 1.1

#2 - 12/19/2012 08:02 AM - Joseph Magen

Updated pull request

https://github.com/theforeman/foreman/pull/285

#3 - 12/19/2012 10:21 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 875699d96185275f4e5f16e536c08a1efcdf3f37.
